import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/tag.dart';
import 'package:syncrow_web/pages/spaces_management/space_model/models/tag_model.dart';

abstract class AssignTagState extends Equatable {
  const AssignTagState();

  @override
  List<Object> get props => [];
}

class AssignTagInitial extends AssignTagState {}

class AssignTagLoading extends AssignTagState {}

class AssignTagLoaded extends AssignTagState {
  final List<Tag> tags;
  final bool isSaveEnabled;
  final String?  errorMessage;

  const AssignTagLoaded({
    required this.tags,
    required this.isSaveEnabled,
    required this.errorMessage,
  });

  @override
  List<Object> get props => [tags, isSaveEnabled, errorMessage ?? ''];
}

class AssignTagError extends AssignTagState {
  final String errorMessage;

  const AssignTagError(this.errorMessage);

  @override
  List<Object> get props => [errorMessage];
}
